﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.ComponentModel;
using System.Windows.Controls;
#endregion

namespace GoalBook.Infrastructure.Interfaces
{
    public interface IDialogService
    {
        bool? ShowMessageDialog(DialogOptions options);
        bool? ShowView(UserControl view, DialogOptions options);
        bool? ShowView(UserControl view, DialogOptions options, Func<bool> validationAction);
        bool? ShowView(IErrorInfoDialogView view, DialogOptions options, IDataErrorInfo errorInfo);
        bool? ShowView(IErrorInfoDialogView view, DialogOptions options, Func<bool> validationAction, IDataErrorInfo errorInfo);
    }
}
