﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using GoalBook.Infrastructure.ObjectModel;
#endregion

namespace GoalBook.Infrastructure
{
    /// <summary>
    /// Synchronisation Data.
    /// </summary>
    public class SyncData
    {
        /// <summary>
        /// Reference to Goals for synchronisation.
        /// </summary>        
        public GoalList Goals { get; set; }

        /// <summary>
        /// Reference to Notes for synchronisation.
        /// </summary>        
        public NoteList Notes { get; set; }

        /// <summary>
        /// Reference to Tasks for synchronisation.
        /// </summary>        
        public TaskList Tasks { get; set; }

        /// <summary>
        /// Reference to Folders for synchronisation.
        /// </summary>
        public FolderList Folders { get; set; }
    }
}
