﻿// <copyright file="HyperlinkDialogViewPresentationModel.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Notes.Views
{
    #region Using Statements
    using System.Windows;
    using GoalBook.Infrastructure;
    #endregion

    /// <summary>
    /// Hyperlink Dialog View PresentationModel class.
    /// </summary>
    public class HyperlinkDialogViewPresentationModel : DependencyObject
    {
        #region Constants and Enums
        #endregion

        #region Instance and Shared Fields        
        #endregion

        #region Constructors
        /// <summary>
        /// Initializes a new instance of the HyperlinkDialogViewPresentationModel class.
        /// </summary>        
        public HyperlinkDialogViewPresentationModel()
        {            
        }
        #endregion

        #region Delegates and Events

        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets EditHyperlinkInfo.
        /// </summary>
        public HyperlinkInfo HyperlinkInfo { get; set; }
        #endregion

        #region Public and internal Methods
        #endregion

        #region Base Class Overrides
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
