﻿// <copyright file="NotesViewPresentationModel.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Notes.Views
{
    #region Using Statements
    using System.Collections.Generic;
    using Csla;
    using GoalBook.Infrastructure;
    using GoalBook.Infrastructure.ObjectModel;
    #endregion

    /// <summary>
    /// NotesView PresentationModel. For databinding.
    /// </summary>
    public class NotesViewPresentationModel
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Initializes a new instance of the NotesViewPresentationModel class.
        /// </summary>
        public NotesViewPresentationModel()
        {
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets List of Notes for the module to display.
        /// </summary>
        public FilteredBindingList<Note> Notes { get; set; }

        /// <summary>
        /// Gets or sets FolderList.
        /// </summary>
        public SortedBindingList<KeyValueItem> FolderList { get; set; } 
        #endregion

        #region Base Class Overrides
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
