﻿// <copyright file="MessageView.xaml.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Shell.Views
{
    #region Using Statements
    using System.Windows.Controls;
    #endregion

    /// <summary>
    /// Interaction logic for MessageView.xaml
    /// </summary>
    public partial class MessageView : UserControl
    {
        /// <summary>
        /// Initializes a new instance of the MessageView class.
        /// </summary>
        /// <param name="message">message parameter</param>
        public MessageView(string message)
        {
            InitializeComponent();
   
            // Set message.
            this.textBlockMessage.Text = message;
        }        
    }
}
