﻿// <copyright file="TasksDialogViewPresentationModel.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Tasks.Views
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    using GoalBook.Infrastructure.ObjectModel;
    #endregion

    /// <summary>
    /// TasksDialogView PresentationModel. For databinding.
    /// </summary>
    public class TasksDialogViewPresentationModel
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Initializes a new instance of the TasksDialogViewPresentationModel class.
        /// </summary>
        public TasksDialogViewPresentationModel()
        {
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets Task for the dialog to display.
        /// </summary>
        public Task EditTask { get; set; }

        /// <summary>
        /// Gets or sets FolderList. Folder Reference data.
        /// </summary>
        public Dictionary<Guid, string> FolderList { get; set; }
        #endregion

        #region Base Class Overrides
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
