﻿//===============================================================================
// Goal Book.
// Copyright © 2009 Mark Brownsword. 
//===============================================================================

#region Using Statements
using System;
using System.Collections.Generic;
#endregion

namespace GoalBook.Goals.Views
{
    public static class ReferenceData
    {
        static ReferenceData()
        {            
        }
        
        /// <summary>
        /// LevelList. Level Reference data.
        /// </summary>
        public static Dictionary<int, string> LevelList { get; set; }
        public static Dictionary<int, string> GetLevelList() { return LevelList; }

        /// <summary>
        /// ContributesList. List of Goals that the current edited goal can contribute to.
        /// </summary>
        public static Dictionary<Guid, string> ContributesList { get; set; }
        public static Dictionary<Guid, string> GetContributesList() { return ContributesList; }
    }
}
