﻿// <copyright file="ReferenceData.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Notes.Views
{
    #region Using Statements
    using System;
    using System.Collections.Generic;
    #endregion

    /// <summary>
    /// ReferenceData for Notes module.
    /// </summary>
    public static class ReferenceData
    {                
        /// <summary>
        /// Gets or sets FolderList.
        /// </summary>
        public static Dictionary<Guid, string> FolderList { get; set; }

        /// <summary>
        /// Get FolderList.
        /// </summary>
        /// <returns>Dictionary of Folders</returns>
        public static Dictionary<Guid, string> GetFolderList() 
        { 
            return FolderList; 
        }        
    }
}
