﻿// <copyright file="TasksViewPresentationModel.cs" company="GoalBook"> 
//    Copyright © 2009 Mark Brownsword. All rights reserved.
//    This source code and supporting files are licensed under The Code Project  
//    Open License (CPOL) as detailed at http://www.codeproject.com/info/cpol10.aspx. 
// </copyright>
namespace GoalBook.Tasks.Views
{
    #region Using Statements
    using Csla;
    using GoalBook.Infrastructure;
    using GoalBook.Infrastructure.ObjectModel;
    #endregion

    /// <summary>
    /// TasksView PresentationModel. For databinding.
    /// </summary>
    public class TasksViewPresentationModel
    {
        #region Constants and Enums
        #endregion

        #region Inner Classes and Structures
        #endregion

        #region Delegates and Events
        #endregion

        #region Instance and Shared Fields
        #endregion

        #region Constructors
        /// <summary>
        /// Initializes a new instance of the TasksViewPresentationModel class.
        /// </summary>
        public TasksViewPresentationModel()
        {
        }
        #endregion

        #region Properties
        /// <summary>
        /// Gets or sets List of Tasks for the module to display.
        /// </summary>
        public FilteredBindingList<Task> Tasks { get; set; }

        /// <summary>
        /// Gets or sets FolderList.
        /// </summary>
        public SortedBindingList<KeyValueItem> FolderList { get; set; }
        #endregion

        #region Base Class Overrides
        #endregion

        #region Private and Protected Methods
        #endregion

        #region Public and internal Methods
        #endregion

        #region Event Handlers
        #endregion
    }
}
